package domain

type AlibabaWdkCouponSkuQueryPromActSku struct {
	/*
	   商家逻辑分组序号     */
	LogicGroupNumber *int64 `json:"logic_group_number,omitempty" `

	/*
	   参与者id     */
	ParticipateId *string `json:"participate_id,omitempty" `

	/*
	   参与者名称     */
	ParticipateName *string `json:"participate_name,omitempty" `

	/*
	   参与者类型     */
	ParticipateType *int64 `json:"participate_type,omitempty" `
}

func (s *AlibabaWdkCouponSkuQueryPromActSku) SetLogicGroupNumber(v int64) *AlibabaWdkCouponSkuQueryPromActSku {
	s.LogicGroupNumber = &v
	return s
}
func (s *AlibabaWdkCouponSkuQueryPromActSku) SetParticipateId(v string) *AlibabaWdkCouponSkuQueryPromActSku {
	s.ParticipateId = &v
	return s
}
func (s *AlibabaWdkCouponSkuQueryPromActSku) SetParticipateName(v string) *AlibabaWdkCouponSkuQueryPromActSku {
	s.ParticipateName = &v
	return s
}
func (s *AlibabaWdkCouponSkuQueryPromActSku) SetParticipateType(v int64) *AlibabaWdkCouponSkuQueryPromActSku {
	s.ParticipateType = &v
	return s
}
